%global tarball xf86-video-amdgpu
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

# Suppress output of debuginfo and debugsource
%global debug_package %{nil}

# Xorg cannot load hardened build
%undefine _hardened_build

Name:       xorg-x11-drv-amdgpu
Version:    22.0.0
Release:    2%{?dist}

Summary:    AMD GPU video driver
License:    MIT

URL:        https://www.x.org/wiki
Source:     https://www.x.org/archive/individual/driver/%{tarball}-%{version}.tar.xz

ExcludeArch: s390 s390x

BuildRequires: make
BuildRequires: xorg-x11-server-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: libdrm-devel
BuildRequires: kernel-headers
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: xorg-x11-util-macros
BuildRequires: libudev-devel
BuildRequires: xorg-x11-glamor-devel

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)
Requires: libdrm >= 2.4.89

Patch0001: 0001-Update-URLs-to-reflect-gitlab-migration.patch
Patch0002: 0002-amdgpu-fixup-driver-for-new-X-server-ABI.patch
Patch0003: 0003-Use-randr_crtc_covering_drawable-used-in-modesetting.patch
Patch0004: 0004-Prefer-crtc-of-primary-output-for-synchronization-wh.patch
Patch0005: 0005-Do-not-consider-disabled-crtc-anymore-when-looking-f.patch
Patch0006: 0006-Initialize-present-extension-for-GPU-screen.patch
Patch0007: 0007-Fix-screen-corruption-on-secondary-GPU.patch
Patch0009: 0009-Use-DRM_CAP_CURSOR_WIDTH-HEIGHT-if-possible.patch

%description
X.Org X11 AMDGPU driver

%prep
%autosetup -p1 -n %{tarball}-%{version}

%build
#autoreconf -fiv
%configure --disable-static --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%ldconfig_scriptlets

%files
%{driverdir}/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*

%changelog
* Tue Nov 15 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-xorg-x11-drv-amdgpu.git

* Tue Nov 15 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f986a07
- version 22.0.0-2

* Fri Nov 11 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 26a6f23
- Backport patches from 'master' branch

* Fri Aug 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e80971d
- Add qubes-builder integration and CI

* Fri Aug 12 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c8974af
- Import xorg-x11-drv-amdgpu-22.0.0-1.src

